<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC

@author: christian.rodriguez

@CU CU-SA-AC-022 Generar Reporte de Control de Calidad

@MB GeneracionReporteControlCalidadMB

-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Consultar actas de comite::.
    </ui:define>

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <h:form id="generarOficioDeNoAprobacionAvaluoform"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui">

            <p:fieldset>

                <legend>
                    <h:outputText value="Generar oficio de no aprobación del avalúo"
                                  styleClass="legendTitle" />
                </legend>

                <p:messages id="msgsGONAA" showDetail="false" globalOnly="false" />

                <h:panelGrid columns="4" cellspacing="7" width="100%">

                    <h:outputLabel value="Número oficina:"
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{generarOficioDeNoAprobacionAvaluo.territorialAvaluo.codigo}"
                        styleClass="outputTextStyle" />

                    <h:outputLabel value="Fecha reporte:" styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{generarOficioDeNoAprobacionAvaluo.fechaReporte}"
                        styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                    </h:outputText>

                    <h:outputLabel value="Sec. radicado" styleClass="outputLabelStyle" />
                    <p:commandLink styleClass="commandLinkStyle"
                                   action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                                   update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                                   oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                                   value="#{generarOficioDeNoAprobacionAvaluo.avaluo.secRadicado}">
                        <f:setPropertyActionListener
                            value="#{generarOficioDeNoAprobacionAvaluo.avaluo.secRadicado}"
                            target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
                    </p:commandLink>

                    <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{generarOficioDeNoAprobacionAvaluo.territorialAvaluo.nombre}"
                        styleClass="outputTextStyle" />

                    <h:outputLabel value="Solicitante:" styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{generarOficioDeNoAprobacionAvaluo.avaluo.solicitante.nombreCompleto}"
                        styleClass="outputTextStyle" />

                    <h:outputLabel value="Director(a) territorial:"
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{generarOficioDeNoAprobacionAvaluo.directorTerritorial.nombreCompleto}"
                        styleClass="outputTextStyle" />

                    <h:outputLabel value="Nombre avaluador:"
                                   styleClass="outputLabelStyle" />
                    <p:commandLink
                        value="#{generarOficioDeNoAprobacionAvaluo.avaluo.avaluadores[0].nombreCompleto}"
                        styleClass="commandLinkStyle"
                        action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                        update=":consultarAvaluadoresAsignadosPG"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();
                        infoAvaluadoresAsignadosWV.show();"
                        rendered="#{generarOficioDeNoAprobacionAvaluo.avaluo.tieneMultiplesAvaluadores}">
                        <f:setPropertyActionListener
                            value="#{generarOficioDeNoAprobacionAvaluo.avaluo.secRadicado}"
                            target="#{consultarAvaluadoresAsignados.secRadicado}" />
                    </p:commandLink>
                    <h:outputText styleClass="outputTextStyle"
                                  rendered="#{!generarOficioDeNoAprobacionAvaluo.avaluo.tieneMultiplesAvaluadores}"
                                  value="#{generarOficioDeNoAprobacionAvaluo.avaluo.avaluadores[0].nombreCompleto}" />

                    <h:outputLabel value="Profesional control calidad:"
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{generarOficioDeNoAprobacionAvaluo.profesionalCalidad.nombreCompleto}"
                        styleClass="outputTextStyle" />

                    <h:outputLabel value="Coordinador de GIT de avalúos:"
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{generarOficioDeNoAprobacionAvaluo.coordinadorGITAvaluos.nombreCompleto}"
                        styleClass="outputTextStyle" />

                </h:panelGrid>

                <h:panelGrid columns="1" cellspacing="7" width="100%">
                    <p:dataTable
                        value="#{generarOficioDeNoAprobacionAvaluo.avaluo.avaluoPredios}"
                        var="predio" paginator="true" rows="5"
                        paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                        {NextPageLink} {LastPageLink}"
                        rowsPerPageTemplate="5,10,20" paginatorPosition="bottom"
                        emptyMessage="No se encontró información predial asociada">

                        <f:facet name="header">Información predial</f:facet>

                        <p:column headerText="Departamento">
                            <h:outputText value="#{predio.departamento.nombre}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Municipio">
                            <h:outputText value="#{predio.municipio.nombre}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Número predial">
                            <h:outputText value="#{predio.numeroPredial}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Matrícula inmobiliaria">
                            <h:outputText value="#{predio.numeroRegistro}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Dirección">
                            <h:outputText value="#{predio.direccion}"
                                          styleClass="outputTextStyle" />
                        </p:column>

                    </p:dataTable>

                    <h:outputLabel value="Observaciones adicionales:"
                                   styleClass="outputLabelStyle" />
                    <h:inputTextarea label="Observaciones adicionales"
                                     value="#{generarOficioDeNoAprobacionAvaluo.observacionesAdicionales}"
                                     rows="4" style="width:100%;" />

                </h:panelGrid>

                <h:panelGrid cellspacing="7" columns="6">

                    <p:commandButton value="Generar oficio" icon="ui-icon-document"
                                     action="#{generarOficioDeNoAprobacionAvaluo.generarOficio}"
                                     update=":viewMemo:vistaMemoForm" onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); 
                                     handleCompleteSIC(xhr, status, args, memorandoWV, true);" />

                    <p:commandButton value="Enviar oficio y avanzar proceso"
                                     icon="ui-icon-mail-closed"
                                     action="#{generarOficioDeNoAprobacionAvaluo.enviarOficio}"
                                     update=":generarOficioDeNoAprobacionAvaluoform:msgsGONAA"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

                    <p:commandButton value="Visor GIS" icon="ui-icon-zoomin"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();
                                     cargarMapaZoomToFeature('#{generarOficioDeNoAprobacionAvaluo.applicationClientName}',
                                     '#{generarOficioDeNoAprobacionAvaluo.tokenParam}',
                                     '#{generarOficioDeNoAprobacionAvaluo.moduleLayer}',
                                     '#{generarOficioDeNoAprobacionAvaluo.moduleTools}',
                                     '#{generarOficioDeNoAprobacionAvaluo.avaluo.cadenaDeNumerosPrediales}');"
                                     disabled="#{empty generarOficioDeNoAprobacionAvaluo.avaluo.cadenaDeNumerosPrediales}" />

                </h:panelGrid>

            </p:fieldset>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{consultaActasComite.cerrar}" icon="ui-icon-circle-close"
                                 immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <!-- ............................. CASOS DE USO TRANSVERSALES ............................ -->
        <!-- DIALOG PARA INFORMACION DE DEPARTAMENTOS Y MUNICIPIOS DE LOS PREDIOS DE UN AVALUO -->
        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE AVALUADORES ASIGNADOS -->
        <p:dialog widgetVar="infoAvaluadoresAsignadosWV"
                  header="Profesionales de avalúos" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="750">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION PREDIAL -->
        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <!-- CC PARA INFORMACION DETALLADA DE PREDIOS -->
        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <!-- VISOR GEOGRAFICO -->
        <ui:include src="/util/visorGeografico.xhtml" />

        <!-- CC PARA INFORMACION DE LA SOLICITUD -->
        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <!-- DIALOG PARA INFORMACION DEL SOLICITANTE -->
        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE DOCUMENTOS DE LA SOLICITUD -->
        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <!-- CC PARA MOSTRAR DOCUMENTO -->
        <misc:visualizadorMemorandosCC id="viewMemo" thisWVName="memorandoWV"
                                       radicarButtonVisible="false"
                                       urlDocumento="#{generarOficioDeNoAprobacionAvaluo.oficioNoAprobacionReporte.urlWebReporte}"
                                       fileContent="#{generarOficioDeNoAprobacionAvaluo.oficioNoAprobacionReporte.streamedContentReporte}"
                                       documentoGenerado="#{generarOficioDeNoAprobacionAvaluo.oficioNoAprobacionReporte ne null}" />

    </ui:define>
</ui:composition>